MUSEEKCONTROL(1)

NAME

MuseekControl - Command-Line control Python Script for Museekd

DESCRIPTION

MuseekControl is command-line Python script that connects to museekd(1) and initiates many different commands. Chat Room watching, one-time chat messages, browsing shares, searching, viewing User info and setting tickers are just some of the many commands available. Only one museek option will work at a time. If two are set, the last one will be used. Setting the interface and password on the command-line is a security risk. Since interface and password settings are saved to the config file when set, you should set them, exit museekcontrol, and rerun museekcontrol without the password options on the commandline..LP Before running, you will need a working museekd(1) and need to know your museekd interface and interface password. Configure those with musetup(1).

SYNOPSIS
museekcontrol [-c |--config <config-filename>] [--gs | --gsearch <query>] [--rs | --rsearch <query>] [--bs | --bsearch <query>] [-r | --rooms] [--roomlist] [--joined] [--roominfo <room>] [--roomsinfo] [--sroom <room>] [--srooms] [--sprivate <user>] [--sprivates] [--tickers <room>] [--alltickers] [-j | --join <room>] [-l | --leave <room>] [-m | --message <message>] [--chat <room>] [--pm | --private <user>] [--setticker <room>] [--settempticker <room>] [--setdefaultticker] [--buddy | --unbuddy <user>] [--ignore | --unignore <user>] [--ban | --unban <user>] [--trust | --distrust <user>] [--comment <string>] [--info <user>] [--minfo] [--ip <user>] [-b | --browse <user>] [--mb | --mbrowse] [-t | --transfers] [--mt | --mtransfers] [--download slsk://user/path] [--upload slsk://user/path] [--abortup slsk://user/path] [--abortdown slsk://user/path] [--removeup slsk://user/path] [--removedown slsk://user/path] [--retryup slsk://user/path] [--retrydown slsk://user/path] [-i | --interface <host:port | /socket.path> [-p | --password <inteface-password>] [-v | --version] [-h | --help]

OPTIONS

Museekcontrol accepts the following options:

-c <filename>, --config <filename>
    Use a different config file. v SEARCHING:

--gs, --gsearch <query>
    Globally search for query & show results

--rs, --rsearch <query>
    Room search for query & show results

--bs, --bsearch <query>
    Buddy search for query & show results

CHAT ROOMS:

-r, --rooms
    Show list of rooms

--roomlist
    Refresh list of rooms

--joined
    Show list of Joined rooms

--roominfo <room>
    Show users in a Joined room

--roomsinfo
    Show users for all Joined rooms

--sroom <room>
    Show chat log for room

--srooms
    Show chat log for all rooms

-j, --join <room>
    Join a room

-l, --leave <room>
    Leave a room

--chat <room>
    Use with --message

-m, --message <message>
    Say message in room (Use with --chat)

TICKERS:

--tickers <room>
    Show tickers in room

--alltickers
    Show tickers in all rooms

--setticker <room>
    Pick a room to set the ticker in. (Use with --message)

--settempticker <room>
    Pick a room for a temporary ticker (Use with --message)

--setdefaultticker
    Set the default ticker for all room (Use with --message)

-m, --message <message>
    Set the ticker to this.

PRIVATE CHAT:

--sprivate <user>
    Show Private Chat log for a user

--sprivates
    Show Private Chat logs for all users

--pm, --private <user>
    Say message in PM (Use with --message)

-m, --message <message>
    Say message in PM (Use with --pm)

USERS:

--buddy --unbuddy <user>
    Add/Remove user from Buddies list

--ignore --unignore <user>
    Add/Remove user from Ignore list

--ban --unban <user>
    Add/Remove user from Banned list

--trust --distrust <user>
    Add/Remove user from Trusted list

--comment <string>
    Comment for the user in list

USERINFO:

--info <user>
    Show a user's info (Saves image to <user>.img if available)

--minfo
    Monitor all User Info

--ip <user>
    Get a user's IP and Port
            BROWSING:

-b. --browse <user>
    Get a user's shares and show them

--mb, --mbrowse
    Monitor browsing
            TRANSFERS:

-t, --transfers
    Display all current uploads and downloads and exit.

--mt, --mtransfers
    Monitor transfers

--download slsk://user/path
    Add file or dir to the download queue

--upload slsk://user/path
    Attempt to upload file to user

--abortup slsk://user/path
    Abort Upload

--abortdown slsk://user/path
    Abort Download

--removeup slsk://user/path
    Remove Upload from queue

--removedown slsk://user/path
    Remove Download from queue

--retryup slsk://user/path
    Retry Upload (for remote uploads)

--retrydown slsk://user/path
    Retry Download

-i, --interface <host:port | /socket.path>
    Choose a different interface (saved to config file)

-p, --password <interface-password>
    Choose a different password (saved to config file)

-v, --version
    Display Version and exit.

-h, --help
    Display Help and exit.

EXAMPLE

To run this program the standard way type:

museekcontrol

Alternativly you use a different config file with:

museekcontrol --config museekcontrol.config

To set the interface password:

museekcontrol --password 1234567890

To listen to all joined Chat Rooms:

museekcontrol --srooms

To Search Globally for "crazy pumpkin rabbits":

museekcontrol --gsearch "crazy pumpkin rabbits"

FILES

~/.museekd/museekcontrol.config
    The default location for the museekcontrol config file.

AUTHORS

daelstorm <daelstorm@gmail.com>

Hyriand <hyriand@thegraveyard.org>

SEE ALSO

mucous(1) mulog(1) murmur(1) muscan(1) muscand(1) museekd(1) museeq(1) musetup(1) musetup-gtk(1)